Subject: Linux-Misc Digest #719
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Tue, 6 Sep 94 23:13:11 EDT

Linux-Misc Digest #719, Volume #2                 Tue, 6 Sep 94 23:13:11 EDT

Contents:
  Re: Virus checker software for Linux. ([email-masked])
  Re: 525 Meg Tape Drives ***DIRT CHEAP***!!! (Jonathan Noel Tombs)
  IDE vs SCSI (was  486dx4 vs Pentium 60) (Michael Griffith)
  Re: Linux is a GNU system and the DWARF support (H.J. Lu)
  Re: 486dx4 vs Pentium 60 (Nicholas J. Leon)
  Re: gcc 2.5.8 / g++ with -g does fail on XOpenDisplay( ) ?! (Michael Will)
  Re: HOWTO archives updated (Patrick Reijnen)
  Re: WARNING about shadow-mk package (Viktor T. Toth)
  Wanted: LINUX TCP/IP Contractor (Denver) (David Feldman)
  Re: WARNING about shadow-mk package (Joe Zbiciak)
  Re: calentool 2.3X for Unix/Solaris/Linux released (Bill Randle)
  Re: Linux Inside T-Shirts, Now Printing! (Jim Trocki)
  Re: Unix programming question (N J Andrews)
  Re: XFree fontformat (Erik Fortune)
  Re: Newest kernel version to fix memory problems... (Viktor T. Toth)
  Re: Mosaic !!! (Ian Wade)
  Re: Virus checker software for Linux. (P. Timmins)

----------------------------------------------------------------------------

From: [email-masked]
Subject: Re: Virus checker software for Linux.
Date: 6 Sep 1994 22:27:50 +0200

In article <[email-masked]> [email-masked] (Harald T. Alvestrand) writes:
>I'm pretty laid-back about the threat of Unix viruses.
8<--------------->8

>
>Note: The standard defenses against trojan attacks (tripwire and friends)
>would also detect a lot of virus attacks. So I regard the possibility that
>there is a wild U*x virus out there, still undiscovered, as infinitesmal.
 
Would be nice to have a way to check diskettes for boot viruses, though.
They coldn't do any real harm under Un*x, I guess, but they could 
keep spreading ..  and I don't want to keep DOS around just for that !

>-- 
>                   Harald Tveit Alvestrand
>                [email-masked]
Bjørn

-- 
--
|  [email-masked]  at home -   +47 2227 0103 | Linux and cats - |
|  [email-masked]        at work -   +47 2266 6915 | what else ?      |

------------------------------

From: [email-masked] (Jonathan Noel Tombs)
Subject: Re: 525 Meg Tape Drives ***DIRT CHEAP***!!!
Date: 5 Sep 1994 12:00:00 +0200

In article <[email-masked]>,
Viktor T. Toth <[email-masked]> wrote:
>In article <[email-masked]> [email-masked] (Jake Colman) writes:
>
>[... my flame about advertising a 250 Mb tape drive as 525 deleted]
>
>>Mot vendors word their ads in just the same way. The Colorado Jumbo Systems
>>Jumbo 250 is 250mb when compressed.
>
>1: As someone mentioned it here answering a different question, while this 
>has been common practice with low-end (floppy controller, parallel port) tape 
>drives, it has not caught on with higher end (QIC-150, QIC-525) streamers.

Oh no, what about the HP 8GB DAT drives. These are really just *2GB* drives
so with normal data 4GB would be good going, and 8GB only if you back up
the contents of /dev/zero. I'm surprised tape streamers haven't gone like
hardisk and started using metric MB, as in 1E6 bytes or 1024E3 bytes.

Jon.

------------------------------

From: [email-masked] (Michael Griffith)
Subject: IDE vs SCSI (was  486dx4 vs Pentium 60)
Date: 6 Sep 1994 17:59:09 GMT

In article <[email-masked]>, Justin Scott <[email-masked]> wrote:
>But IDE and Pentium and Linux would be like cramming several thousand psi 
>of a thick liquid through a stirring straw... it will be a slow and 
>tedious process.

Not necessarily.  Here is a quote from the comp.periphs.scsi FAQ:

        In a typical single drive PC system, ATA (you call it IDE, the
        proper name is ATA) is faster than any SCSI.  This is because of
        the 1 to 2 millisecond command overhead of a SCSI host adapter
        vs. the 100 to 300 microsecond command overhead of an ATA drive.
        Also, ATA transfers data 16-bits at a time from the drive
        directly to/from the system bus.  Compare this to SCSI which
        transfers data 8-bits at a time between the host adapter and the
        drive.  The host adapter may be able to transfer data 16-bits at
        a time to the system bus.

        Of course you could go to Fast SCSI or Wide SCSI but that costs
        a whole bunch more!

-- 
Michael A. Griffith ([email-masked])
Department of Computer Science
University of California, Riverside

------------------------------

From: [email-masked] (H.J. Lu)
Crossposted-To: gnu.misc.discuss
Subject: Re: Linux is a GNU system and the DWARF support
Date: 6 Sep 1994 22:48:10 GMT

Sven Goldt ([email-masked]) wrote:
: H.J. Lu ([email-masked]) wrote:
: : which is due in a few weeks. I think noone should call GNU is a vaporware
: : now since the Linux/GNU system is running on x86. I was told if Linux had

: And on the linux channel NORMAL he wrote:
: :It looks like Linux will be/is pretty much a part of the GNU project.
: :Please read my article in comp.os.linux.misc for details.

: :We seem to have to work on some copyright issues on the Linux C
: :library. If yuou have contrbuted anything to the Linux C library,
: :please get in touch with me ASAP.

: So then please keep that in mind which can be found in the linux libc 
: sources in a file called crt0.S:

: /* Notice of general intent:
:  *
:  * The linux operating system generally contains large amounts of code
:  * that fall under the GNU General Public License, or GPL for short.
:  * This file contains source code that by it's very nature would always
:  * be linked with an application program, and because of this a GPL type
:  * of copyright on this file would place restrictions upon the
:  * distribution of binary-only commercial software.  Since the goal of the
:  * Linux project as a whole is not to discourage the development and
:  * distribution of commercial software for Linux, this file has been placed
:  * under a more relaxed BSD-style of copyright.
:  *
:  * It is the general understanding of the above contributors that a
:  * program executable linked to a library containing code that falls
:  * under the GPL or GLPL style of license is not subject to the terms of
:  * the GPL or GLPL license if the program executable(s) that are supplied
:  * are linked to a shared library form of the GPL or GLPL library, and as long
:  * as the form of the shared library is such that it is possible for
:  * the end user to modify and rebuild the library and use it in
:  * conjunction with the program executable.
:  */

I still think the commercial softwares should be encouraged under
Linux. There are places for everyone under Linux. The kernel, the C
library and other basic components should remain free. The user can make
choices on the commercial applications.

H.J.

------------------------------

From: [email-masked] (Nicholas J. Leon)
Subject: Re: 486dx4 vs Pentium 60
Date: 6 Sep 1994 20:22:30 GMT

: But IDE and Pentium and Linux would be like cramming several thousand psi 
: of a thick liquid through a stirring straw... it will be a slow and 
: tedious process.

I don't quite understand this. I myself have a Pentium-90 w/ an IDE
controller on a PCI bus and this machine /flies/. I get around 8MB/sec
according to PC Magazines benchmark utilties (WinBench 4.0) with my HD's.
(One a WD 1.0G and Micropolis 1.7G). 

Needless to say, I run linux (kernel 1.1.45).

N!

------------------------------

From: [email-masked] (Michael Will)
Subject: Re: gcc 2.5.8 / g++ with -g does fail on XOpenDisplay( ) ?!
Date: 6 Sep 94 21:46:51 GMT

Well, if I compile the objectfiles with -g and link without -g it works,
I can debug and all.

Cheers, Michael Will

------------------------------

From: [email-masked] (Patrick Reijnen)
Subject: Re: HOWTO archives updated
Date: Tue, 6 Sep 1994 21:14:33 GMT

In <[email-masked]> [email-masked] (Matt Welsh) writes:

>In article <[email-masked]> [email-masked] (Matt Welsh) writes:
>>At long last, the Linux HOWTO archives on sunsite.unc.edu have been
>>updated with the latest and greatest HOWTOs for your reading enjoyment.

>I have also updated the Ftape-HOWTO, MGR-HOWTO, and CDROM-HOWTO.

And also Term-HOWTO :-)

>M. Welsh

Patrick Reijnen

--
************************* Patrick Reijnen *************************
* Department of Computer Science, Catholic University of Nijmegen * 
* Email:  patrickr@{sci,cs}.kun.nl                                *
* WWW:    http://{atlas,zeus}.cs.kun.nl:4080/homepage.html        *

------------------------------

From: [email-masked] (Viktor T. Toth)
Crossposted-To: comp.os.linux.development,comp.os.linux.admin,comp.os.linux.help
Subject: Re: WARNING about shadow-mk package
Date: Tue, 6 Sep 1994 12:31:08

In article <im14u2c.778835074@cegt201> [email-masked] (Joe Zbiciak) writes:

>And again:  I do apologize for any inconvenience this may have caused
>anyone.  The shadow-mk package is not insecure.  The login.secure is
>indeed what it was titled.  I do hope that this post lays to rest any
>suspicion about the shadow-mk package, its contents, and its author.
>I also apologize to Mohan Kokal for not realizing that such a small piece
>of code would cause such a large number of people to label him as a
>cheap-and-dirty cracker.  

I have been reading this thread with great interest; first, I became (as did 
many others) concerned about the possibility that code was distributed with 
ill intent (even though I am not presently a user of the shadow-mk package); 
later, I was simply curious as to the resolution of this.

Let me just say something LOUD AND CLEAR: I do *NOT* believe that you have any 
reason to apologize to anyone. There was a sad misunderstanding here; with the 
ever-present threat of viruses, trojan horses, and what not, people have a 
good reason to be concerned; but all YOU did was provide the result of your 
labors for all of us to use and enjoy, for which the least that you deserve is 
our thanks. There is absolutely no reason for you to feel guilty when you have 
contributed good code to the public domain.

I do not believe that the original poster has any reason to feel guilty 
either. He did the right thing; posted a warning to all of us when there was 
reason to believe that code with ill-intent was circulating and executing 
regularly on our machines with root privileges. Unfortunately, no matter how 
tactful you are, this is something that's very difficult to do without 
implicating the author of the code in question.

So anyways, all I meant to say (since it appears nobody else said it) is that 
you should both be thanked by the rest of us.

Viktor

------------------------------

From: [email-masked] (David Feldman)
Subject: Wanted: LINUX TCP/IP Contractor (Denver)
Date: Tue, 6 Sep 1994 21:54:17 GMT

I am looking for a software contractor to do some modest software development
for a Linux platform in the TCP/IP networking area. The objective of the
project is to build a specialized router out of a Linux box. This is project
based work, and requires an individual with appropriate experience including
serial- and parallel-port device drivers. I am located in Denver, and although
a local candidate would be preferable, individual in other location would be
considered. Estimated project duration is 30-60 days, and estimated timeframe
is 4th quarter 1994.

If you are interested, please e-mail directly to [email-masked]. I am not
subscribed to comp.os.linux.misc for reading, so I will not be able to retrieve
replies here.

Thanx,

Dave Feldman
[email-masked]

------------------------------

From: [email-masked] (Joe Zbiciak)
Crossposted-To: comp.os.linux.admin,comp.os.linux.development,comp.os.linux.help
Subject: Re: WARNING about shadow-mk package
Date: 6 Sep 1994 17:26:40 -0500

In <im14u2c.778871634@cegt201> [email-masked] (Joe Zbiciak) writes:

>>>>>   install -m4755 login $(LOGINDIR)/_login

>>nothing is keeping users from just typing /bin/_login -froot,
>>and exploit the original security hole.... (Permissions should
>>be 744 or something like that)

[snip]

>This is indeed a valid question.  The correct permissions for
>/bin/_login should be either 4500 or 0500, not 4755.  I spoke

[snip]

>I will investigate this situation further.

Here are the results of my investigation:  

The incorrect permissions on /bin/_login were due to a mixup when
updating the shadow-mk package's Makefile to correspond to the 
Makefile from the other shadow release.  

** The 4755 perms do not appear present a security risk, however. **

The original /bin/login will deny any logged in user from using
the -f (username) option if they lack sufficient privledge.  Period.
Indeed, the only reason -froot was a problem was that /bin/login
determined that the "active user" calling /bin/login was indeed root
and therefore had permission to use the -f switch.  Any user, once
logged in, cannot use the -f option unless that user is indeed root.

For those persons interested in verifying this statement, log in
as a regular user and type "/bin/login -f root" or "/bin/login -froot"
and see what happens.  You'll not become root.  The problem was in
rlogin and console logins, where /bin/login was being invoked by
root itself, rather than being invoked as suid-root.  Apparently, the 
old /bin/login uses getuid() instead of geteuid() to determine the 
real user id of the user executing the program.

--Joseph R.M. Zbiciak
  Systems Administrator & Programmer
  Texas Networking Systems, Inc.

DISCLAIMER:  Neither this post, nor any other post made by me, reflects
             the opinions of my various employers, unless EXPLICITLY
             stated.  All opinions stated herein are mine unless otherwise
             noted.

                                          := Joe Zbiciak == im14u2c@ =:
                                          :- - cegt201.bradley.edu - -:
        If it works, Don't fix it.        : -  camelot.bradley.edu  - :
                                          :-Finger for PGP Public Key-:
                                          :===========================:

------------------------------

From: [email-masked] (Bill Randle)
Subject: Re: calentool 2.3X for Unix/Solaris/Linux released
Date: 6 Sep 1994 22:34:29 GMT
Reply-To: [email-masked]

In article <[email-masked]>, [email-masked] (Kevin K. Lewis) writes:
|> In article <[email-masked]> [email-masked] writes:
|>    Hi, I just compiled the calentool program on linux 1.1.47,
|>    it works fine execpt when I choose "week", in which case it core dumps.
|>    Any idea ?
|> I've seen this, but I haven't had much time to investigate.  If it's
|> the same problem, the core should be from a floating point exception.
|> I'm sure someone will fix this soon (possibly me).

I have had report of this, but because it didn't fail on the 1.1.18 system
I was using, I didn't spot it. (It also makes it hard to debug.) As a work-
around, change the entry in the Imakefile for NO_OPTIMIZE to either "-g" or
just empty, remake your Makefile, rm wpaint.o and rebuild. What ever the
bug is, turning on the optimizer seems to tickle it.

        -Bill

P.S. If anyone can tell me why the font used for the panel choice buttons is too big
(but only on Linux, not the the Sun systems), I'd be eternally grateful.

-- 
        -Bill Randle
        Tektronix, Inc.
        [email-masked]

------------------------------

Crossposted-To: aus.computers.linux,alt.linux.sux,alt.os.linux,comp.os.linux.admin,comp.os.linux.development,comp.os.linux.help
From: [email-masked] (Jim Trocki)
Subject: Re: Linux Inside T-Shirts, Now Printing!
Reply-To: [email-masked]
Date: Tue, 6 Sep 1994 17:28:31 GMT

In article [email-masked],  [email-masked] (Jean-Paul Chia) writes:
>
>Well.. The GNU Generation is just text, because the cost to print the pciture 
>of it would be around $28 US. Unless you really like the picture, and you really
>really want the picture version, then mail me, and maybe I can print a few.
>Anyways, Here is the Linux Inside one, I can't seem to find the GNU one. :)
>I'll post it ASAP..
>Thank you.
>- JP
>

  It's a little late, but here's a motto:

   "make config; make dep; make clean; make zlilo, not war."     :-)

------------------------------

From: N J Andrews <[email-masked]>
Subject: Re: Unix programming question
Date: 6 Sep 1994 19:47:18 GMT

In article <[email-masked]>, [email-masked] (Andrew R. Tefft) writes:
|> In article [email-masked], [email-masked] (Mark Weaver) writes:
|> >In article <[email-masked]>,
|> >Van Dao Mai <[email-masked]> wrote:
|> >>I have programmed UNIX for a long time and feel frustrated with the way
|> >>software is installed on the system. Under UNIX people often have to 
|> >>hardwire the paths and settings into the executable at compile time.
|> >>This is in contrast with DOS that passes the full path name of the execuatble
|> >>as argv[0] so that you can search for library + data files. 
|> >
|> >Un*x passes the pathname the executable (relative to the current
|> >directory) in argv[0], and that in addition to the current working
|> >directory tells you exactly where the program is.
|> 
|> No,.....
|> ...So a shell script wrapper can be used to tell your program where it lives,
|> through environment variables, executing the real program using the full
|> path (and thus passing argv[0] the way the original poster likes), or
|> an extra argument.
|> 

Call me a radical but, why not just have a routine that uses argv[0]
and the path environment variable to workout where what it is
executing lives.

-- 
Nigel J. Andrews
Astronomical Instrumentation Group
Physics Department
University of Durham

------------------------------

From: [email-masked] (Erik Fortune)
Subject: Re: XFree fontformat
Date: 6 Sep 1994 22:57:17 GMT

In article <[email-masked]>, nummerzwei.in-berlin.de!wolfram writes:
> Hi out there!
> 
> Does anybody know What fontformats are supported by XFree?
> Started xconq yesterday, but ther server didn t find the correct fonts on  
> the client(linux/XFree).
> Xconfig:
> "...
> FontPath      "/usr/X386/lib/X11/fonts/misc/"
> FontPath      "/usr/X386/lib/X11/fonts/75dpi/"
> FontPath      "/usr/X386/lib/X11/fonts/PEX/"
> FontPath      "/usr/X386/lib/X11/fonts/Speedo/"
> FontPath      "/usr/X386/lib/X11/fonts/xconq/" 
> ....".
> The upper directories contain fonts with the extention .pcf.
> Added (...fonts/xconq/) are fonts with the extention .snf und .bdf.
> Have I to convert them?
> Any idea?

Um, bdftopcf?

-- Erik

------------------------------

From: [email-masked] (Viktor T. Toth)
Subject: Re: Newest kernel version to fix memory problems...
Date: Tue, 6 Sep 1994 16:30:59

In article <[email-masked]> [email-masked] (Gabe Krupa) writes:

>I've been watching the /proc/meminfo file lately to see how memory intensive
>some of the programs I run in the background are and I noticed something fairly
>disturbing to me.  After running a while with normal usage (say a day or two)
>without being shutdown and rebooted, memory seems to be marked as used, even
>though all ''memory expensive'' programs have been killed.

[rest deleted]

Not too long ago (probably still available at sites with longer expire dates 
on news) there was an extended discussion in comp.os.linux.whatever about 
this. The bottom line is that Linux uses memory _very_ efficiently; basically, 
instead of letting expensive memory lying around unused, it uses it for 
dynamic buffering. This in no way affects the amount of memory available to 
applications.

Therefore, there is no need to 'fix' anything; this is probably the most 
efficient way to use that memory you probably paid many hundreds of $$$ for.

Viktor

------------------------------

From: [email-masked] (Ian Wade)
Subject: Re: Mosaic !!!
Reply-To: [email-masked]
Date: Tue, 6 Sep 1994 19:36:21 GMT

Benjamin Alman ([email-masked]) wrote:
> I am trying to get Mosaic on my linux box here, but it requires Motif - 
> and i only have an emulator for it, not the libraries!! Does anyone know 
> of a COMPILED binary version of the latest version (2.4 or so) with all 
> the other required files ???

Get: sunsite.unc.edu:/pub/Linux/system/Network/info-systems/Mosaic-2.4.bin2.tar.gz

Unzip/untar it, and the binary is waiting there for you.  Running it here under the 
Motif workalike "fvwm" (from Yggdrasil Summer 94 distribution).  Works fine (but 
wish I had a faster, much faster modem ...:-)

Here FYI is the index file which is in the same directory:

/pub/Linux/system/Network/info-systems (INDEX)
==============================================================================
Mosaic-2.4+term.bin.tar.gz Mosaic binaries w/ term support
Mosaic-2.4.bin.nw.tar.gz Mosaic 2.4 w/o the spinning globe
Mosaic-2.4.bin.tar.gz    Mosaic binaries w/o term support
Mosaic-2.4.bin2.tar.gz   Mosaic w/ both term and TCP/IP support
archie-1.4.1p-bin.tar.gz binaries for archie ftp site search program
gopher+1.2b4.patch.Z     patches to compile gopher 1.2b4 
gopher1.12.patch.Z       Patches to compiler the gopher server/client
gophers.tgz              gopher and sgopher binaries for linux
httpd-1.1.tar.gz         source for www (http) server
httpd_1.3.tar.gz         NCSA httpd (WWW server) for Linux
lynx-2.3.bin2.tar.gz     non-X11 WWW client (Xmosaic for terminals) w/term
tkwww-0.11.tar.gz        www browser/html editor using tk

Ian

--

  \|--------\|--------\|--------\|      Ian Wade
   |\--------|\--------|\--------|\     NETrider Publications
   |         |         |         |
   |         |         |         |      [email-masked]

------------------------------

From: [email-masked] (P. Timmins)
Subject: Re: Virus checker software for Linux.
Date: 7 Sep 1994 01:28:55 GMT

Jason Haar ([email-masked]) wrote on 5 Sep 1994 13:03:31 GMT in article <[email-masked]>:
: David Holland ([email-masked]) wrote:
  <stuff deleted here and there>
: Frankly, this is why DOS viruses have spread so fast. Under DOS, hardly 
: anyone had a compiler and/or experience on their systems to compile their 
: own source-code of their favourite game/etc, so they took binaries 
: instead. Here we are - all with access to a great compiler - but we would 
: rather drop the hassle of compilation and use someone elses work.
    Ummm, a minor correction...
It is NOT the fact that few people had compilers on their system, but the
fact that noone is about to distribute the source for a copyrighted software,
be it commercial or shareware, freely. That would make copy protection rEAL
difficult. Companies distribute binaries only <for the most part>, and charge
a lot extra (with a lot of paperwork) if you wish the source for commercial
software.

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux.misc) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Misc Digest
******************************